<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFColor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFColor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":9,"i6":10,"i7":9,"i8":10,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/CellReference.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html"
               title="enum in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/HSSFColor.html" target="_top">Frames</a></li>
        <li><a href="HSSFColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.util</div>
    <h2 title="Class HSSFColor" class="title">Class HSSFColor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.util.HSSFColor</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                           title="interface in org.apache.poi.ss.usermodel">Color</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFColor</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
              title="interface in org.apache.poi.ss.usermodel">Color</a></pre>
                <div class="block">Intends to provide support for the very evil index to triplet issue and
                    will likely replace the color constants interface for HSSF 2.0.
                    This class contains static inner class members for representing colors.
                    Each color has an index (for the standard palette in Excel (tm) ),
                    native (RGB) triplet and string triplet. The string triplet is as the
                    color would be represented by Gnumeric. Having (string) this here is a bit of a
                    collision of function between HSSF and the HSSFSerializer but I think its
                    a reasonable one in this case.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html"
                                        title="enum in org.apache.poi.hssf.util">HSSFColor.HSSFColorPredefined</a></span></code>
                                    <div class="block">Predefined HSSFColors with their given palette index (and an
                                        optional 2nd index)
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#HSSFColor--">HSSFColor</a></span>()</code>
                                    <div class="block">Creates a new instance of HSSFColor</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#HSSFColor-int-int-java.awt.Color-">HSSFColor</a></span>(int&nbsp;index,
                                    int&nbsp;index2,
                                    java.awt.Color&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getHexString--">getHexString</a></span>()</code>
                                    <div class="block">returns colon-delimited hex string "0:0:0"</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getIndex--">getIndex</a></span>()</code>
                                    <div class="block">returns color standard palette index</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getIndex2--">getIndex2</a></span>()</code>
                                    <div class="block">returns alternative color standard palette index</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static java.util.Map&lt;java.lang.Integer,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getIndexHash--">getIndexHash</a></span>()</code>
                                    <div class="block">This function returns all the colours in an unmodifiable Map.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static java.util.Map&lt;java.lang.Integer,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getMutableIndexHash--">getMutableIndexHash</a></span>()</code>
                                    <div class="block">This function returns all the Colours, stored in a Map that
                                        can be edited.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getTriplet--">getTriplet</a></span>()</code>
                                    <div class="block">returns RGB triplet (0, 0, 0)</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getTripletHash--">getTripletHash</a></span>()</code>
                                    <div class="block">this function returns all colors in a hastable.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#toHSSFColor-org.apache.poi.ss.usermodel.Color-">toHSSFColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Checked type cast <tt>color</tt> to an HSSFColor.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFColor</h4>
                                <pre>public&nbsp;HSSFColor()</pre>
                                <div class="block">Creates a new instance of HSSFColor</div>
                            </li>
                        </ul>
                        <a name="HSSFColor-int-int-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFColor</h4>
                                <pre>public&nbsp;HSSFColor(int&nbsp;index,
                 int&nbsp;index2,
                 java.awt.Color&nbsp;color)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getIndexHash--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexHash</h4>
                                <pre>public static&nbsp;java.util.Map&lt;java.lang.Integer,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;&nbsp;getIndexHash()</pre>
                                <div class="block">This function returns all the colours in an unmodifiable Map.
                                    The map is cached on first use.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a Map containing all colours keyed by <tt>Integer</tt> excel-style palette
                                        indexes
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMutableIndexHash--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMutableIndexHash</h4>
                                <pre>public static&nbsp;java.util.Map&lt;java.lang.Integer,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;&nbsp;getMutableIndexHash()</pre>
                                <div class="block">This function returns all the Colours, stored in a Map that
                                    can be edited. No caching is performed. If you don't need to edit
                                    the table, then call <a
                                            href="../../../../../org/apache/poi/hssf/util/HSSFColor.html#getIndexHash--"><code>getIndexHash()</code></a>
                                    which returns a
                                    statically cached immutable map of colours.
                                </div>
                            </li>
                        </ul>
                        <a name="getTripletHash--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTripletHash</h4>
                                <pre>public static&nbsp;java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&gt;&nbsp;getTripletHash()</pre>
                                <div class="block">this function returns all colors in a hastable. It's not implemented
                                    as a
                                    static member/statically initialized because that would be dirty in a
                                    server environment as it is intended. This means you'll eat the time
                                    it takes to create it once per request but you will not hold onto it
                                    if you have none of those requests.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a Map containing all colors keyed by String gnumeric-like triplets</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;short&nbsp;getIndex()</pre>
                                <div class="block">returns color standard palette index</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index to the standard palette</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex2</h4>
                                <pre>public&nbsp;short&nbsp;getIndex2()</pre>
                                <div class="block">returns alternative color standard palette index</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>alternative index to the standard palette, if -1 this index is not defined</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTriplet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTriplet</h4>
                                <pre>public&nbsp;short[]&nbsp;getTriplet()</pre>
                                <div class="block">returns RGB triplet (0, 0, 0)</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>triplet representation like that in Excel</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHexString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHexString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHexString()</pre>
                                <div class="block">returns colon-delimited hex string "0:0:0"</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a hex string exactly like a gnumeric triplet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHSSFColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toHSSFColor</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                           title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;toHSSFColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block">Checked type cast <tt>color</tt> to an HSSFColor.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - the color to type cast</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type casted color</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if color is null or is not an
                                        instance of HSSFColor
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFColor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/util/CellReference.html"
               title="class in org.apache.poi.hssf.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html"
               title="enum in org.apache.poi.hssf.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/util/HSSFColor.html" target="_top">Frames</a></li>
        <li><a href="HSSFColor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
